KD SOAP: KDDateTime Class Reference

| KD SOAP 2.0.0

Public Member Functions | Static Public Member Functions | List of all members
KDDateTime Class Reference

`#include <KDDateTime.h>`

Inheritance diagram for KDDateTime:
[legend]
Collaboration diagram for KDDateTime:
[legend]

## Public Member Functions
| KDDateTime (const QDateTime &)
| operator QVariant () const
QString | timeZone () const
void | setTimeZone (const QString &timeZone)
QString | toDateString () const

## Static Public Member Functions
static KDDateTime | fromDateString (const QString &s)

## Detailed Description

A DateTime class with an additional (optional) timezone.

As specified in https://www.w3.org/TR/xmlschema-2/#dateTime, the timezone can be empty (local time), "Z" (for UTC) or an offset from UTC like "+05:00" or "-03:00"

## Constructor & Destructor Documentation

## ◆ KDDateTime()

KDDateTime::KDDateTime | ( | const QDateTime & | rhs | ) |

Implicit constructor from a QDateTime. Sets the timeZone to "local", i.e. empty

## Member Function Documentation

## ◆ operator QVariant()

KDDateTime::operator QVariant | ( |  | ) | const

Converts the KDDateTime to QVariant, to avoid implicit conversion to base QDateTime.

Since
  1.8

## ◆ timeZone()

QString KDDateTime::timeZone | ( |  | ) | const

Returns the time zone set by setTimeZone.

## ◆ setTimeZone()

void KDDateTime::setTimeZone | ( | const QString & | timeZone | ) |

Sets the timeZone. Can be empty, "Z", or an offset like "+05:00" or "-03:00".

## ◆ fromDateString()

KDDateTime KDDateTime::fromDateString | ( | const QString & | s | ) |
| static

Creates a KDDateTime from a SOAP-compliant string representation.

## ◆ toDateString()

QString KDDateTime::toDateString | ( |  | ) | const

Returns a SOAP-compliant string representation of the date/time object.

The documentation for this class was generated from the following files:

- /home/allen/projects/kdsoap/src/KDSoapClient/KDDateTime.h
- /home/allen/projects/kdsoap/src/KDSoapClient/KDDateTime.cpp

© 2010-2021 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Wed Jun 30 2021 18:19:27 for KD SOAP by doxygen 1.8.20